Subject: bug#12254: 24.2; completion fails backward-char

From: Stefan Monnier <[email-masked]>
Date: Thu, 30 Aug 2012 11:39:59 -0400

> This isn't clear on the documentation on completion-at-point-functions.
> It is a trap that one can easily fall into. I wonder if you may add a
> note in the doc-string of completion-at-point-functions. Thanks.

How 'bout the patch below?

        Stefan

=== modified file 'lisp/minibuffer.el'
--- lisp/minibuffer.el	2012-08-14 17:10:38 +0000
+++ lisp/minibuffer.el	2012-08-30 15:39:14 +0000
@@ -1821,7 +1821,9 @@
  `:predicate'	a predicate that completion candidates need to satisfy.
  `:exclusive'	If `no', means that if the completion table fails to
    match the text at point, then instead of reporting a completion
-   failure, the completion should try the next completion function.")
+   failure, the completion should try the next completion function.
+As is the case with most hooks, the functions are responsible to preserve
+things like point and current buffer.")
 
 (defvar completion--capf-misbehave-funs nil
   "List of functions found on `completion-at-point-functions' that misbehave.